Commits

Audrius Kažukauskas committed fd3f767

Add system/multicorn.

  • Participants
  • Parent commits 8e9c6ed

Comments (0)

Files changed (5)

 *.tgz
 *.txz
 *.asc
+*.zip

File system/multicorn/README

+Multicorn is a PostgreSQL 9.1+ extension meant to make Foreign Data
+Wrapper development easy, by allowing the programmer to use the Python
+programming language.
+
+- Multicorn allows you to access any data source in your PostgreSQL
+  database.
+- You can leverage the full power of SQL to query your data sources.
+- Every tool you use for SQL can be reused with those datasources (think
+  about an ORM, BI tool...).

File system/multicorn/multicorn.SlackBuild

+#!/bin/sh
+
+# Slackware build script for multicorn
+
+# Copyright 2013 Audrius Kažukauskas <audrius@neutrino.lt>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=multicorn
+VERSION=${VERSION:-1.0.0beta1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Set Python code installation path.
+sed -i "s|install$|install --root=$PKG|" Makefile
+
+CFLAGS="$SLKCFLAGS" make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}

File system/multicorn/multicorn.info

+PRGNAM="multicorn"
+VERSION="1.0.0beta1"
+HOMEPAGE="http://multicorn.org/"
+DOWNLOAD="http://api.pgxn.org/dist/multicorn/1.0.0beta1/multicorn-1.0.0beta1.zip"
+MD5SUM="157206021c3ff5dbc2eb97d55ad1f4f2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="distribute postgresql"
+MAINTAINER="Audrius Kažukauskas"
+EMAIL="audrius@neutrino.lt"

File system/multicorn/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+         |-----handy-ruler------------------------------------------------------|
+multicorn: multicorn (PostgreSQL extension to build Foreign Data Wrappers)
+multicorn:
+multicorn: Multicorn is a PostgreSQL 9.1+ extension meant to make Foreign Data
+multicorn: Wrapper development easy, by allowing the programmer to use the Python
+multicorn: programming language.
+multicorn:
+multicorn: Homepage: http://multicorn.org/
+multicorn:
+multicorn:
+multicorn:
+multicorn: